
.button-container {
  flex-direction: 'row';
  align-items: center;
  justify-content: 'center';
  border-radius: 30px;
  min-width: 115px;
  font-size: var(--font-size-text);
  color: var(--color-white);
  text-align: 'center';
  font-weight: bold;
  padding: 8px 30px ;
  cursor: pointer;
  outline: none;
  transition: all 0.2s ease-out;
}

.button-container:disabled{
  opacity: 0.4;
  cursor: default;
}

.button-container:hover{
  background-color: var(--color-primary-dark);
  border-color: var(--color-primary-dark);
}

.button-container,
.button-container:disabled:hover{
  background-color: var(--color-primary);
  border: 2px solid var(--color-primary);
}

.button-container.square{
  border-radius: 5px;
  width: auto;
  padding: 8px 30px;
}

.button-container.reverse,
.button-container.reverse:disabled:hover{
  background-color: var(--color-white);
  color: var(--color-primary);
}

.button-container.reverse:hover{
  background-color: var(--color-primary-opacity);
  border-color: var(--color-primary);
}